variables:
  DOCKER_DRIVER: overlay2
  CS_MAJOR_VERSION: 2

services:
  - docker:stable-dind

stages:
  - build
  - test

include:
  - remote: 'https://gitlab.com/gitlab-org/gitlab/raw/master/lib/gitlab/ci/templates/Security/Container-Scanning.gitlab-ci.yml'

build:
  image: docker:stable
  stage: build
  variables:
    IMAGE: $CI_REGISTRY_IMAGE:$CI_COMMIT_SHA
  script:
    - docker login -u $REGISTRY_USER -p $REGISTRY_TOKEN registry.gitlab.com
    - docker build --cache-from $CI_REGISTRY_IMAGE:latest --tag $IMAGE --tag $CI_REGISTRY_IMAGE:latest .
    - docker push $IMAGE
    - docker push $CI_REGISTRY_IMAGE:latest

container_scanning:
  variables:
    CI_APPLICATION_REPOSITORY: $CI_REGISTRY_IMAGE
